---
displayed_sidebar: homepage
---

import ParameterTypes from "@site/src/components/ParameterTypes"

# ClassConstructor

 **ClassConstructor**: (...`args`: `unknown`[]) => `T`

## Type Parameters

<ParameterTypes parameters={[
  {
    "name": "T",
    "type": "`object`",
    "description": "",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": []
  }
]} />

## Type declaration

### Parameters

<ParameterTypes parameters={[
  {
    "name": "args",
    "type": "`unknown`[]",
    "description": "",
    "optional": false,
    "defaultValue": "",
    "expandable": false,
    "children": []
  }
]} expandUrl="https://docs.medusajs.com/development/entities/repositories#retrieving-a-list-of-records"/>

### Returns

<ParameterTypes parameters={[
  {
    "name": "T",
    "type": "`T`",
    "optional": false,
    "defaultValue": "",
    "description": "",
    "expandable": false,
    "children": []
  }
]} />
